The Ledger Health Monitor object

Attributes

id string

Unique identifier for the object.

created_at string

ISO 8601 timestamp of when the object was created.

updated_at string

ISO 8601 timestamp of when the object was last updated.

enable_health_monitor boolean

Default: false

debit_credit_mismatch boolean

Default: false

general_and_payment_ledger_mismatch boolean

Default: false

monitor_for_last_x_days integer

Default: 60

The Ledger Health Monitor object
{
  "id": "ledger-health-monitor_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "enable_health_monitor": false,
  "debit_credit_mismatch": false,
  "general_and_payment_ledger_mismatch": false,
  "monitor_for_last_x_days": 60
}
GET /api/accounts/ledger-health-monitor/{id}

Retrieve a ledger health monitor

Retrieves the details of an existing ledger health monitor. Supply the unique ledger health monitor ID that was returned from a previous request.

Path parameters

id string required

The identifier of the ledger health monitor to retrieve.

Returns

Returns the ledger health monitor object if a valid identifier was provided.

GET /api/accounts/ledger-health-monitor/{id}
curl https://api.overplane.dev/api/accounts/ledger-health-monitor/ledger-health-monitor_abc123 \
  -H "Authorization: Bearer sk_test_..."
Response
{
  "id": "ledger-health-monitor_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "enable_health_monitor": false,
  "debit_credit_mismatch": false,
  "general_and_payment_ledger_mismatch": false,
  "monitor_for_last_x_days": 60
}
GET /api/accounts/ledger-health-monitor

List all ledger health monitors

Returns a list of ledger health monitors. The results are sorted by creation date, with the most recently created appearing first.

Query parameters

limit integer

Maximum number of objects to return. Default: 20.

offset integer

Number of objects to skip for pagination. Default: 0.

Returns

A paginated list of ledger health monitor objects.

GET /api/accounts/ledger-health-monitor
curl https://api.overplane.dev/api/accounts/ledger-health-monitor \
  -H "Authorization: Bearer sk_test_..."
Response
{
  "data": [
    {
      "id": "ledger-health-monitor_abc123",
      "created_at": "2024-01-15T09: 30: 00Z",
      "updated_at": "2024-01-15T09: 30: 00Z",
      "enable_health_monitor": false,
      "debit_credit_mismatch": false,
      "general_and_payment_ledger_mismatch": false,
      "monitor_for_last_x_days": 60
    }
  ],
  "has_more": false,
  "total": 1
}
POST /api/accounts/ledger-health-monitor

Create a ledger health monitor

Creates a new ledger health monitor object.

Body parameters

enable_health_monitor boolean

Default: false

debit_credit_mismatch boolean

Default: false

general_and_payment_ledger_mismatch boolean

Default: false

monitor_for_last_x_days integer

Default: 60

Returns

Returns the newly created ledger health monitor object if the call succeeded.

POST /api/accounts/ledger-health-monitor
curl https://api.overplane.dev/api/accounts/ledger-health-monitor \
  -H "Authorization: Bearer sk_test_..." \
  -X POST \
  -H "Content-Type: application/json"
Response
{
  "id": "ledger-health-monitor_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "enable_health_monitor": false,
  "debit_credit_mismatch": false,
  "general_and_payment_ledger_mismatch": false,
  "monitor_for_last_x_days": 60
}
PATCH /api/accounts/ledger-health-monitor/{id}

Update a ledger health monitor

Updates the specified ledger health monitor by setting the values of the parameters passed. Any parameters not provided will be left unchanged.

Path parameters

id string required

The identifier of the ledger health monitor to update.

Body parameters

enable_health_monitor boolean

Default: false

debit_credit_mismatch boolean

Default: false

general_and_payment_ledger_mismatch boolean

Default: false

monitor_for_last_x_days integer

Default: 60

Returns

Returns the updated ledger health monitor object.

PATCH /api/accounts/ledger-health-monitor/{id}
curl https://api.overplane.dev/api/accounts/ledger-health-monitor/ledger-health-monitor_abc123 \
  -H "Authorization: Bearer sk_test_..." \
  -X PATCH \
  -H "Content-Type: application/json" \
  -d '{"enable_health_monitor":false,"debit_credit_mismatch":false}'
Response
{
  "id": "ledger-health-monitor_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "enable_health_monitor": false,
  "debit_credit_mismatch": false,
  "general_and_payment_ledger_mismatch": false,
  "monitor_for_last_x_days": 60
}
DELETE /api/accounts/ledger-health-monitor/{id}

Delete a ledger health monitor

Permanently deletes a ledger health monitor. This cannot be undone.

Path parameters

id string required

The identifier of the ledger health monitor to delete.

Returns

Returns a confirmation that the ledger health monitor has been deleted.

DELETE /api/accounts/ledger-health-monitor/{id}
curl https://api.overplane.dev/api/accounts/ledger-health-monitor/ledger-health-monitor_abc123 \
  -H "Authorization: Bearer sk_test_..." \
  -X DELETE
Response
{
  "id": "ledger-health-monitor_abc123",
  "deleted": true
}

Line items

Child objects that belong to this ledger health monitor. These are accessed via the parent's ID.

Ledger Health Monitor Company

Attributes

idx integer
ledger_health_monitor_id string required
company string

Endpoints

GET /api/accounts/ledger-health-monitor-company?parent_id={id}
POST /api/accounts/ledger-health-monitor-company
PATCH /api/accounts/ledger-health-monitor-company/{id}
DELETE /api/accounts/ledger-health-monitor-company/{id}
POST /api/accounts/ledger-health-monitor-company/reorder
Ledger Health Monitor Company object
{
  "id": "ledger-health-monitor-company_abc123",
  "idx": 1,
  "ledger_health_monitor_id": "ledger_health_monitor_id_example",
  "company": "Example Corp"
}